# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/a6483fc2-12e2-4779-6d82-fe69e3892297/volume/rsync-recipes/pycryptodome-3.12.0-python_3.8-on-osx, last modified Thu Jan  6 03:30:33 2022
# ------------------------------------------------

package:
  name: pycryptodome
  version: 3.12.0
source:
  patches:
    - 0001-Make-load_lib-CONDA_PREFIX-aware.patch
  sha256: 12c7343aec5a3b3df5c47265281b12b611f26ec9367b6129199d67da54b768c1
  url: https://pypi.io/packages/source/p/pycryptodome/pycryptodome-3.12.0.zip
build:
  ignore_run_exports:
    - gmp
  number: '0'
  script: '/opt/concourse/worker/volumes/live/a6483fc2-12e2-4779-6d82-fe69e3892297/volume/pycryptodome_1641468776580/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv '
  string: py38h05f8d05_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.17.1 h9ed2024_0
    - ca-certificates 2021.10.26 hecd8cb5_2
    - cctools_osx-64 949.0.1 hc7db93f_23
    - clang 12.0.0 hecd8cb5_2
    - clang-12 12.0.0 default_hfcad0e5_2
    - clang_osx-64 12.0.0 h7ad7729_2
    - clangxx 12.0.0 default_hfcad0e5_2
    - compiler-rt 12.0.0 hd87ff74_2
    - compiler-rt_osx-64 12.0.0 hfb26b64_2
    - curl 7.80.0 hca72f7f_0
    - expat 2.4.1 h23ab428_2
    - gettext 0.21.0 h7535e17_0
    - git 2.32.0 pl5262h6cd52fe_1
    - icu 58.2 h0a44026_3
    - krb5 1.19.2 hcd88c3b_0
    - ld64_osx-64 530 h70f3046_23
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp12 12.0.0 default_hfcad0e5_2
    - libcurl 7.80.0 h6dfd666_0
    - libcxx 12.0.0 h2f01273_0
    - libedit 3.1.20210910 hca72f7f_0
    - libev 4.33 h9ed2024_1
    - libiconv 1.16 h1de35cc_0
    - libllvm12 12.0.0 h9b2ccf5_3
    - libnghttp2 1.46.0 ha29bfda_0
    - libssh2 1.9.0 ha12b0ac_1
    - libxml2 2.9.12 hcdb78fc_0
    - llvm-openmp 12.0.0 h0dcd299_1
    - llvm-tools 12.0.0 h9b2ccf5_3
    - ncurses 6.3 hca72f7f_2
    - openssl 1.1.1l h9ed2024_0
    - patch 2.7.6 h1de35cc_1001
    - pcre2 10.35 h1de35cc_1
    - perl 5.26.2 h4e221da_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.11 h7bc2e8c_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h4dc903c_4
  host:
    - ca-certificates 2021.10.26 hecd8cb5_2
    - certifi 2021.10.8 py38hecd8cb5_0
    - gmp 6.1.2 hb37e062_1
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - ncurses 6.3 hca72f7f_2
    - openssl 1.1.1l h9ed2024_0
    - pip 21.2.4 py38hecd8cb5_0
    - python 3.8.12 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - setuptools 58.0.4 py38hecd8cb5_0
    - sqlite 3.37.0 h707629a_0
    - tk 8.6.11 h7bc2e8c_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h4dc903c_4
  run:
    - gmp
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check
  imports:
    - Crypto
    - Crypto.Cipher
    - Crypto.Hash
    - Crypto.IO
    - Crypto.Math
    - Crypto.Protocol
    - Crypto.PublicKey
    - Crypto.Random
    - Crypto.SelfTest
    - Crypto.SelfTest.Cipher
    - Crypto.SelfTest.Hash
    - Crypto.SelfTest.IO
    - Crypto.SelfTest.Math
    - Crypto.SelfTest.Protocol
    - Crypto.SelfTest.PublicKey
    - Crypto.SelfTest.Random
    - Crypto.SelfTest.Signature
    - Crypto.SelfTest.Util
    - Crypto.Signature
    - Crypto.Util
  requires:
    - pip
    - pytest
about:
  dev_url: https://github.com/Legrandin/pycryptodome
  doc_url: https://www.pycryptodome.org/en/latest/
  home: http://www.pycryptodome.org
  license: BSD-2-Clause AND Unlicense
  license_family: BSD
  license_file: LICENSE.rst
  summary: Cryptographic library for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - mariusvniekerk
